Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategorization

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VAbstractCategorization, VCategorizableElement, VElement

All Known Implementing Classes:
  VCategorizationImpl

    public interface VCategorization

extends VAbstractCategorization

A representation of the model object 'Categorization'.

The following features are supported:

- `Categorizations`

See Also:
  `VCategorizationPackage.getCategorization()`

Method Summary
`org.eclipse.emf.common.util.EList<VAbstractCategorization>` | `getCategorizations()` Returns the value of the 'Categorizations' containment reference list.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VAbstractCategorization
`getActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizableElement
`getECPActions, getLabelObject, setECPActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCategorizations

    org.eclipse.emf.common.util.EList<VAbstractCategorization> getCategorizations()

  Returns the value of the 'Categorizations' containment reference list. The list contents are of type `VAbstractCategorization`.

  If the meaning of the 'Categorizations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Categorizations' containment reference list.
  See Also:
    `VCategorizationPackage.getCategorization_Categorizations()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.